package eee;
import java.util.*;
import java.io.*;
public class Car1 implements Serializable
{  Hashtable list=new Hashtable();
  String item="Welcome!";
  int mount=0;
  String unit=null;
  public void Car1()
  {  }
  public void setItem(String newItem)
   { item=newItem;
   }
  public void setUnit(String newUnit)
   { unit=newUnit;
   }
  public void setMount(int m)
   { mount=m;
   }
  public void 添加商品到购物车()
   { String str="Name: "+item+"  Mount:"+mount+"  Unit:"+unit;
     list.put(item,str);
   }
 public Hashtable 列出购物车中的商品()
   { return list;
   } 
 public void 删除货物(String s)
   { list.remove(s);
   }  
}
